[보안패치] 소셜로그인 오류 수정완료

중소넷뉴스
.

[보안패치] 소셜로그인 오류 수정완료

중소넷 0 809 2020.08.13 14:44
카카오 소셜로그인을 사용하는 사이트는 더이상 v1 버전으로 카카오로그인을 사용할수 없습니다.
아래패치 ( 카카오 로그인 v2 사용자 정보 요청api로 수정 ) 을 반드시 적용해야 카카오 로그인을 사용할수 있습니다.


** 수정내역 **


sms 설치테이블 G5_DB_ENGINE 설정에 따르게 수정
카카오 로그인 v2 사용자 정보 요청api로 수정
get_class_encrypt 함수내 잘못된 코드 수정
5.4버전 exist_seo_url 함수 내 정규식 코드 수정
get_member_profile_img 함수 내 코드 오류 수정
[KVE-2019-1581,1585,1586,1590,2020-0012]그누보드XSS취약점 수정 ( KISA 에서 알려주셨습니다. )
[KVE-2019-1571,1573,1578,1580]그누보드 XSS 취약점 수정 ( KISA 에서 알려주셨습니다. )
[KVE-2020-0100,0101]그누보드 관리자페이지 XSS 취약점 수정 ( KISA 에서 알려주셨습니다. )
그누보드 XSS 취약점 수정
5.4 버전 쪽지보기 페이지에서 쪽지 삭제가 안되는 오류 수정
크롬 80버전 대응 코드 추가
5.4 버전 소셜로그인 스킨 5.3버전에서도 잘 나올수 있도록 수정
[KVE-2020-0062]그누보드,영카트 SQL 인젝션 취약점 수정 ( KISA 에서 알려주셨습니다. )
버전 5.4.2 수정

Comments

.